import { ElementRef, OnInit } from '@angular/core';
export declare class ContentLayoutComponentBase implements OnInit {
    protected el: ElementRef;
    constructor(el: ElementRef);
    contentMode: string;
    ngOnInit(): void;
    detectContentType(type: string): void;
    isContentVisible(type: string): boolean;
}
